/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

/* use different font for var */
var {
    font-family: sans-serif;
}

/* set max width of screen */
.outerframe.container {
    max-width: 960px;
}

/* remove extra vertical spacing at various places*/
.space-col {
    margin-top: 0em;
    margin-bottom: 0em;
}

/* question border: use rounded corners */
.question-container {
    border-radius: 3px;
}

/* progress bar */
.progress {
    border-radius: 3px;
    /*margin-bottom: 2em;*/
}
.progress-bar {
    color:#337ab7;
}

/* make question text bigger */
.question-title-container {
    font-size: 110%;
    font-weight: bold;
}

/* use (!) instead of (?) for instructions */
.ls-questionhelp:before{content:"\f06a"}

/* deactivate double opacity (only needed if using "exclusive options") */
/* .js .ls-disabled{opacity:inherit;} */

/* styling of headings between questions (question without answer) */
.CTC-heading {
    border-color: #d9d9d9;
    background-color: #d9d9d9;
    font-weight: bold;
}

/* grid questions */
/* - remove table grid */
.table, 
.table-bordered th,
.table-bordered td {
    border: none !important;
}
/* bottom margin after matrix */
.table-array-radio {
    margin-bottom: 1em;
}
/* - use stripes instead of hover  */
.table-hover .ls-odd,
.table-hover .ls-odd:hover {
    background-color: #fff;
}
.table-hover .ls-even,
.table-hover .ls-even:hover {
    background-color: inherit;
}
/* - use normal font (instead of bold) for answer option in matrix questions  */
.ls-answers .ls-heading th {
    font-weight: normal;
}
/* - use left-aligned text */
.ls-answers tbody .answertext {
    text-align:left
}
/* - alternative label for small displays */
@media (max-width: 760px) {
  .CTC-label {
      display:none;
  }
}
@media (min-width: 761px) {
  .CTC-label-sm {
      display:none;
  }
}

/* remove extra spacing after radio button and check box lists */
ul {
    margin-bottom:0;
}
li.form-group:last-child,
li:last-child .form-group {
  margin-bottom: 0;
}

/* remove extra vertical spacing for between checkboxes with text */
.checkbox-text-item .checkbox-item {
    margin-bottom: 0;
}

/* adjust spacing for text lists */
.text-list .ls-input-group-extra {
    padding-bottom:20px;
    padding-left:2.5px;
    padding-right:5px;
}
.text-list .form-control {
    margin-bottom:15px;
}

/* radiolists: full width other text field; fix vertical gaps; remove right margin */
@media (min-width: 768px) {
    .radio-text-item .other-text-item {
        display:block;
        margin-top: 5px;
    }
    .radio-text-item .form-control {
        width: 100%; 
    }
}
.radio-text-item {
    margin-top:-5px;
}
.othertext-label-checkox-container {
    margin-bottom: 0;
}
.radio-list li { 
    margin-right: 0;
}
.CTC-subquestion {
    display: block;
    margin-top:.5em;
    padding-left:2em;
}
.CTC-subquestion::before {
    content:"\f061";
    font-family: FontAwesome;
    display: inline-block;
    position:absolute;
    margin-top: -.1em;
    margin-left: -1.25em;
}
.form-inline .other-text-item {
    padding-left: 53px;
}

/* indent textboxes in checkbox lists */
.checkbox-text-list .text-item {
    padding-left: 68px;
}

/* table formatting for text arrays: no head, autoadjusting width */
.CTC-textlist col:first-child {
    width: auto !important;
}
.CTC-textlist table {
    width: auto;
    margin-top: .5em;
    margin-bottom: 1em;
}
.CTC-textlist thead {
    display: none;
}
@media
only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px)  {
    .CTC-textlist table {
        margin-top: -.5em;
        margin-bottom:0;
    }
    .CTC-textlist table.ls-answers tr {
       margin-bottom:0;
    }
    .CTC-textlist table.ls-answers tr th {
        font-size: inherit;
        margin-bottom:-1em;
    }
}
.CTC-textlist-nostripe .table-hover .ls-odd,
.CTC-textlist-nostripe .table-hover .ls-odd:hover {
    background-color: inherit;
}

/* formatting of tips that are displayed in case javascript is deactivated */
.CTC-nojs-help {
    margin-top: 1em;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: normal;
}

/* remove some space between question and answers for questions that have no instructions */
.CTC-no-tip .question-title-container {
    padding-bottom:.5em;
}

/* fix padding around answer block for smartphones */
@media only screen and (max-device-width: 760px) {
  .ls-answers{
    padding-top:15px;
    padding-bottom:15px;
  }
}

/* gray text for notes/comments/exemplification in answer text */
.CTC-note {
    color: #777;
}

/* CSS for autoComplete */
.autocomplete-suggestions {
    text-align: left; cursor: pointer; border: 1px solid #ccc; border-top: 0; background: #fff; box-shadow: -1px 1px 3px rgba(0,0,0,.1);

    /* core styles should not be changed */
    position: absolute; display: none; z-index: 9999; max-height: 254px; overflow: hidden; overflow-y: auto; box-sizing: border-box;
}
.autocomplete-suggestion { position: relative; padding: 0 .6em; line-height: 23px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; font-size: 1.02em; color: #333; }
.autocomplete-suggestion b { font-weight: normal; color: #1f8dd6; }
.autocomplete-suggestion.selected { background: #f0f0f0; }
